View Issue Details

IDProjectCategoryView StatusLast Update
0003483GNUnetcadet servicepublic2018-06-07 00:25
ReporteramatusAssigned ToBart Polot 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003483: cadet segfaults
DescriptionI'm running revision 33920 on the public gnunet network, after a while (due to whatever traffic is on the network) the cadet service segfaults. See additional information for valgrind log.
Additional Information==14310== Invalid read of size 4
==14310== at 0x80590C3: GCC_handle_broken (gnunet-service-cadet_connection.c:1819)
==14310== by 0x40DBE4E: main_notify_handler (core_api.c:944)
==14310== by 0x40566EC: receive_task (client.c:595)
==14310== by 0x4089C94: GNUNET_SCHEDULER_run (scheduler.c:595)
==14310== by 0x4093C0A: GNUNET_SERVICE_run (service.c:1498)
==14310== by 0x804A725: main (gnunet-service-cadet.c:175)
==14310== Address 0x58a88d8 is 0 bytes inside a block of size 188 free'd
==14310== at 0x4029D28: free (vg_replace_malloc.c:468)
==14310== by 0x405A916: GNUNET_xfree_ (common_allocation.c:239)
==14310== by 0x80559F9: GCC_destroy (gnunet-service-cadet_connection.c:2552)
==14310== by 0x80690C1: GCP_queue_destroy (gnunet-service-cadet_peer.c:1155)
==14310== by 0x806985A: GCP_connection_pop (gnunet-service-cadet_peer.c:1400)
==14310== by 0x80590DF: GCC_handle_broken (gnunet-service-cadet_connection.c:1817)
==14310== by 0x40DBE4E: main_notify_handler (core_api.c:944)
==14310== by 0x40566EC: receive_task (client.c:595)
==14310== by 0x4089C94: GNUNET_SCHEDULER_run (scheduler.c:595)
==14310== by 0x4093C0A: GNUNET_SERVICE_run (service.c:1498)
==14310== by 0x804A725: main (gnunet-service-cadet.c:175)
==14310==
==14310== Invalid read of size 4
==14310== at 0x804E525: GCT_debug (gnunet-service-cadet_tunnel.c:3162)
==14310== by 0x804EAAD: is_ready (gnunet-service-cadet_tunnel.c:403)
==14310== by 0x804EEA9: send_prebuilt_message (gnunet-service-cadet_tunnel.c:1093)
==14310== by 0x80590CA: GCC_handle_broken (gnunet-service-cadet_connection.c:1819)
==14310== by 0x40DBE4E: main_notify_handler (core_api.c:944)
==14310== by 0x40566EC: receive_task (client.c:595)
==14310== by 0x4089C94: GNUNET_SCHEDULER_run (scheduler.c:595)
==14310== by 0x4093C0A: GNUNET_SERVICE_run (service.c:1498)
==14310== by 0x804A725: main (gnunet-service-cadet.c:175)
==14310== Address 0xdf0ae7e is not stack'd, malloc'd or (recently) free'd
==14310==
==14310==
==14310== Process terminating with default action of signal 11 (SIGSEGV)
==14310== Access not within mapped region at address 0xDF0AE7E
==14310== at 0x804E525: GCT_debug (gnunet-service-cadet_tunnel.c:3162)
==14310== by 0x804EAAD: is_ready (gnunet-service-cadet_tunnel.c:403)
==14310== by 0x804EEA9: send_prebuilt_message (gnunet-service-cadet_tunnel.c:1093)
==14310== by 0x80590CA: GCC_handle_broken (gnunet-service-cadet_connection.c:1819)
==14310== by 0x40DBE4E: main_notify_handler (core_api.c:944)
==14310== by 0x40566EC: receive_task (client.c:595)
==14310== by 0x4089C94: GNUNET_SCHEDULER_run (scheduler.c:595)
==14310== by 0x4093C0A: GNUNET_SERVICE_run (service.c:1498)
==14310== by 0x804A725: main (gnunet-service-cadet.c:175)
==14310== If you believe this happened as a result of a stack
==14310== overflow in your program's main thread (unlikely but
==14310== possible), you can try to increase the size of the
==14310== main thread stack using the --main-stacksize= flag.
==14310== The main thread stack size used in this run was 8388608.
==14310==
==14310== HEAP SUMMARY:
==14310== in use at exit: 129,832 bytes in 1,934 blocks
==14310== total heap usage: 5,767,186 allocs, 5,765,252 frees, 220,252,062 bytes allocated
==14310==
==14310== LEAK SUMMARY:
==14310== definitely lost: 0 bytes in 0 blocks
==14310== indirectly lost: 0 bytes in 0 blocks
==14310== possibly lost: 0 bytes in 0 blocks
==14310== still reachable: 129,832 bytes in 1,934 blocks
==14310== suppressed: 0 bytes in 0 blocks
==14310== Rerun with --leak-check=full to see details of leaked memory
==14310==
==14310== For counts of detected and suppressed errors, rerun with: -v
==14310== ERROR SUMMARY: 2 errors from 2 contexts (suppressed: 0 from 0)
TagsNo tags attached.

Activities

Bart Polot

2014-07-04 14:29

manager   ~0008505

Should be fixed in r33926.

Issue History

Date Modified Username Field Change
2014-07-03 22:18 amatus New Issue
2014-07-03 22:18 amatus Status new => assigned
2014-07-03 22:18 amatus Assigned To => Bart Polot
2014-07-04 14:29 Bart Polot Note Added: 0008505
2014-07-04 14:29 Bart Polot Status assigned => resolved
2014-07-04 14:29 Bart Polot Fixed in Version => SVN HEAD
2014-07-04 14:29 Bart Polot Resolution open => fixed
2014-07-06 06:30 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2014-07-06 06:30 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed